Vydanie novych certifikatov

Zdravim,
pri vydavani novych certifikatov dostavam chybu na konci procesu z web signeru: “AppException: Unable to process signing certificate extracted from CMS
at X509Certificate2Ultra ResponseCryptoProcessor::verifyCmsSignature(CMS_ContentInfo*) in …/…/WebSignerQt/WebSignerLib/responsecryptoprocessor.cpp line 194” Pouzivam Ubuntu 22.10, verzia eid 4.3, web signer 2.0.7. Mal niekto podobny problem?

Zdravím,
Podarilo sa nejako tento problém vyriešiť? Na Linux Mint mám rovnaký problém. A vyzerá to tak že websigner nechce komunikovať so serverom.

Ak sa bavime o tom docasnom, tak na 22.04 zbehlo na druhykrat (prvykat disig shit websigner zamrzol)

U mna na 22.10 tiez na druhy krat zbehlo.

Hej hej. Pokúšam sa nainštalovať dočasný certifikát, ale stále rovnaká chyba.

AppException: Unable to process signing certificate extracted from CMS
  at X509Certificate2Ultra ResponseCryptoProcessor::verifyCmsSignature(CMS_ContentInfo*) in ../../WebSignerQt/WebSignerLib/responsecryptoprocessor.cpp line 194

Už som sa pokúšal aj preinštalovať Javu, ale zatiaľ nič nepomohlo.

Ja som to vyriesil VirtualBoxom vo Windowse, po vydani certifikatov podpisovanie uz ide. Po update Firefoxu v Ubuntu z deb na snap mi prestalo ist aj podpisovanie tak teraz pouzivam chrome.

Ahoj, tiez som to dnes riesil na Ubuntu 22.04.
Problem je s pribalenymi kniznicami v balicku WebSigner-2.0.7-1.
Mozes to obist napr takto:

  1. Premenuj folder s libkami pre WebSigner:
    sudo mv /opt/disig/websigner/lib /opt/disig/websigner/lib.bak
  2. Nainstaluj si balicek “libssl1.0.0” z Ubuntu 18.04. da sa stiahnut tu:
    https://packages.ubuntu.com/bionic/amd64/libssl1.0.0/download
wget http://security.ubuntu.com/ubuntu/pool/main/o/openssl1.0/libssl1.0.0_1.0.2n-1ubuntu5.10_amd64.deb
sudo apt install ./libssl1.0.0_1.0.2n-1ubuntu5.10_amd64.deb

Potom by to uz malo ficat bez problemu.

1 Like